[android-components](../../index.md) / [mozilla.components.feature.webnotifications](../index.md) / [WebNotificationFeature](index.md) / [onShowNotification](./on-show-notification.md)

# onShowNotification

`fun onShowNotification(webNotification: `[`WebNotification`](../../mozilla.components.concept.engine.webnotifications/-web-notification/index.md)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/feature/webnotifications/src/main/java/mozilla/components/feature/webnotifications/WebNotificationFeature.kt#L73)

Overrides [WebNotificationDelegate.onShowNotification](../../mozilla.components.concept.engine.webnotifications/-web-notification-delegate/on-show-notification.md)

Invoked when a web notification is to be shown.

### Parameters

`webNotification` - The web notification intended to be shown.